<template>
  <div>
    <p class="form-title text-center font-weight-bold">
      Adicionar Comitê Gestor
    </p>
    <p class="text-muted">
      Atenção: O comitê gestor deve estar cadastrado no sistema, vamos conferir pelo e-mail cadastrado.
    </p>
    <div v-if="submitError">
      <b-alert show dismissible variant="danger" @dismissed="dismissError">
        {{ errorMessage }}
      </b-alert>
    </div>
    <div v-if="submitSucess">
      <b-alert show dismissible variant="success" @dismissed="dismissSucess">
        Usuário adicionado com sucesso
      </b-alert>
    </div>
    <b-form @submit="onSubmit">
      <b-form-input v-model="form.email"
                    type="text"
                    placeholder="Email do Vice-Presidente"/>
      <b-button class="btn-block" type="submit">Enviar</b-button>
    </b-form>
  </div>
</template>

<script>
export default {
  data() {
    return {
      errorMessage: null,
      submitError: false,
      submitSucess: false,
      form: {
        email: null,
        central_id: this.$route.params.id
      }
    };
  },
  methods: {
    async onSubmit(evt) {
      evt.preventDefault();
      try {
        const response = await this.$axios.$post(
          "central/create_vice",
          this.form
        );
        this.submitSucess = true;
      } catch (e) {
        this.submitError = true;
        this.errorMessage = e.response.data.message;
      }
    },
    dismissError() {
      this.submitError = false;
    },
    dismissSucess() {
      this.submitSucess = false;
    }
  }
};
</script>

<style scoped>
.btn-block {
  margin-top: 1em;
  margin-bottom: 1em;
  background-color: #ecbb5b;
}

.btn-block:hover {
  background-color: #ecbb5b;
}
</style>
